Search subreddits by keyword. Returns each community's name, ID, title, member count, description, creation date, type, language and icon, 25 per page.
curl "https://apidirect.io/v1/reddit/subreddits?query=python&pages=1" \
-H "X-API-Key: YOUR_API_KEY"
{
"subreddits": [
{
"name": "Python",
"subreddit_id": "2qh0y",
"title": "Python",
"description": "The largest Python community for Reddit! Stay up to date with the latest news, packages, and meta information relating to the Python programming language. \n-...",
"url": "https://www.reddit.com/r/Python/",
"subscribers": 1518060,
"created_at": "2008-01-25 03:14:39",
"nsfw": false,
"type": "public",
"icon": "https://styles.redditmedia.com/t5_2qh0y/styles/communityIcon_lctik80p96tg1.png?width=256&s=6d91fcc92d9f08c5ba30096d43a555ddd0edbc7d",
"language": "en"
}
],
"query": "python",
"pages": 1,
"count": 25
}